summaryrefslogtreecommitdiffstats
path: root/gold/scoreboard/modules/available/ati_temper/gather
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
committermakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
commit93fc9d2eb6bd59858453f20ad23bd241b4ebab29 (patch)
tree34a33e7d00f289d7bed0a518cf4215601f46e8bf /gold/scoreboard/modules/available/ati_temper/gather
parentc5b5d61f276a5ac4d2243db48e7e8afc5323679d (diff)
parent229b805732cc34c30bb287aa750fbd14df94cc81 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'gold/scoreboard/modules/available/ati_temper/gather')
-rwxr-xr-xgold/scoreboard/modules/available/ati_temper/gather14
1 files changed, 14 insertions, 0 deletions
diff --git a/gold/scoreboard/modules/available/ati_temper/gather b/gold/scoreboard/modules/available/ati_temper/gather
new file mode 100755
index 00000000..15f0b4f2
--- /dev/null
+++ b/gold/scoreboard/modules/available/ati_temper/gather
@@ -0,0 +1,14 @@
+#!/bin/sh
+HERE=$(dirname $(readlink -f $0))
+. $HERE/../../../profile
+
+# machine to check for
+MACHINE=chinaman
+MACHINE_KEY=$MDIR/keys/$MACHINE
+LF=${MACHINE}_ati_temper
+mkdir -p $ADIR
+mkdir -p $LDIR
+
+# write into live directory and archive
+[ ! -e $MACHINE_KEY ] && echo "No Key for $MACHINE" && exit 1
+echo "$(date +%Y-%m-%dT%H:%M:%S) $(ssh -i $MACHINE_KEY worker@$MACHINE '~/bin/ati_temper')" | tee $LDIR/$LF >> $ADIR/$LF